package com.fdkankan.platform.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.platform.order.entity.SpaceSdk;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.user.request.RequestSdkVersion;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * space sdk表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface ISpaceSdkService extends IService<SpaceSdk> {

    Page<SpaceSdk> getPageByParam(RequestSdkVersion param);

    String upload(MultipartFile file, String version, String imprintCh, String imprintEn, Integer isTop, String platformType) throws Exception;

    String updateByEntity(SpaceSdk param);

    String delById(Long id);

    String online(RequestSdkVersion param);
}
